﻿using System;
using System.Collections.Generic;

namespace RhinoReminds
{
	public delegate void OnReminderListUpdateHandler(object sender, Reminder newReminder);

	public class ReminderList
	{
		private int nextId = 0;
		public SortedList<DateTime, Reminder> Reminders = new SortedList<DateTime, Reminder>();

		public event OnReminderListUpdateHandler OnReminderListUpdate;

		public ReminderList() {

		}

		public Reminder CreateReminder(DateTime time, string message) {
			Reminder result = new Reminder(nextId++, time, message);
			Reminders.Add(time, result);
			OnReminderListUpdate(this, result);
			return result;
		}
	}
}
